Modify

Opened 6 years ago

Closed 6 years ago

Last modified 4 years ago

#10863 closed defect (wontfix)

EGLibc can not be compiled with Make 3.82

Reported by: anonymous Owned by: developers
Priority: normal Milestone: Chaos Calmer 15.05
Component: toolchain Version: 10.03.1
Keywords: Cc:

Description

The problem is a change in make 3.82 that prohibited mixing implicit and normal rules.
That is exactly the error I get when trying when compiling OpenWRT with eglibc.

Makefile:245: * mixed implicit and normal rules. Stop.
make[5]: Leaving directory `/home/nathan/Documenten/Unief/onderzoekstage1/confine-dist/src/build_dir/toolchain-i386_gcc-4.1.2_eglibc-2.10.2/eglibc-2.10.2-r14284/libc/manual'

A patch for this was already accepted in https://dev.openwrt.org/browser/trunk/toolchain/eglibc/patches/2.12/100-do-not-use-implicit-rules.patch?rev=27264 and has appeared since then in the upstream eglibc source code from 2.11 on (.

Since Backfire is the currently supported version, and backfire only has support for eglibc 2.6 to 2.10 these patch should be backported so OpenWRT/eglibc can be compiled with Make 3.82 (The stable release since June 2010 or something)

Attachments (0)

Change History (2)

comment:1 Changed 6 years ago by nbd

  • Resolution set to wontfix
  • Status changed from new to closed

wontfix for backfire, works in trunk

comment:2 Changed 4 years ago by jow

  • Milestone changed from Backfire 10.03.2 to Chaos Calmer (trunk)

Milestone Backfire 10.03.2 deleted

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.